/*
 * Weight Tracker:
 *
 * Copyright 2013 - Google, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 * Tween.js:
 *   See https://github.com/sole/tween.js/blob/master/LICENSE
 *
 *
 * requestAnimationFrame Shim:
 *   See http://paulirish.com/2011/requestanimationframe-for-smart-animating/
 *
 *
 * Webfont Loader:
 *
 * Copyright 2013 Small Batch, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
window.requestAnimFrame=function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||function(e){window.setTimeout(e,1e3/60)}}();var TWEEN=TWEEN||function(){var e=[];return{REVISION:"10",getAll:function(){return e},removeAll:function(){e=[]},add:function(t){e.push(t)},remove:function(t){var n=e.indexOf(t);-1!==n&&e.splice(n,1)},update:function(t){if(0===e.length)return!1;var n=0,i=e.length;for(t=void 0!==t?t:void 0!==window.performance&&void 0!==window.performance.now?window.performance.now():Date.now();i>n;)e[n].update(t)?n++:(e.splice(n,1),i--);return!0}}}();TWEEN.Tween=function(e){var t=e,n={},i={},o={},r=1e3,a=0,s=0,l=null,c=TWEEN.Easing.Linear.None,u=TWEEN.Interpolation.Linear,h=[],d=null,g=!1,f=null,v=null;for(var T in e)n[T]=parseFloat(e[T],10);this.object=function(){return e},this.to=function(e,t){return void 0!==t&&(r=t),i=e,this},this.start=function(e){TWEEN.add(this),g=!1,l=void 0!==e?e:void 0!==window.performance&&void 0!==window.performance.now?window.performance.now():Date.now(),l+=s;for(var r in i){if(i[r]instanceof Array){if(0===i[r].length)continue;i[r]=[t[r]].concat(i[r])}n[r]=t[r],n[r]instanceof Array==!1&&(n[r]*=1),o[r]=n[r]||0}return this},this.stop=function(){return TWEEN.remove(this),this},this.delay=function(e){return s=e,this},this.repeat=function(e){return a=e,this},this.easing=function(e){return c=e,this},this.interpolation=function(e){return u=e,this},this.chain=function(){return h=arguments,this},this.onStart=function(e){return d=e,this},this.onUpdate=function(e){return f=e,this},this.onComplete=function(e){return v=e,this},this.update=function(e){if(l>e)return!0;g===!1&&(null!==d&&d.call(t),g=!0);var T=(e-l)/r;T=T>1?1:T;var p=c(T);for(var E in i){var w=n[E]||0,I=i[E];I instanceof Array?t[E]=u(I,p):("string"==typeof I&&(I=w+parseFloat(I,10)),t[E]=w+(I-w)*p)}if(null!==f&&f.call(t,p),1==T){if(a>0){isFinite(a)&&a--;for(var E in o)"string"==typeof i[E]&&(o[E]=o[E]+parseFloat(i[E],10)),n[E]=o[E];return l=e+s,!0}null!==v&&v.call(t);for(var m=0,W=h.length;W>m;m++)h[m].start(e);return!1}return!0}},TWEEN.Easing={Linear:{None:function(e){return e}},Quadratic:{In:function(e){return e*e},Out:function(e){return e*(2-e)},InOut:function(e){return(e*=2)<1?.5*e*e:-.5*(--e*(e-2)-1)}},Cubic:{In:function(e){return e*e*e},Out:function(e){return--e*e*e+1},InOut:function(e){return(e*=2)<1?.5*e*e*e:.5*((e-=2)*e*e+2)}},Quartic:{In:function(e){return e*e*e*e},Out:function(e){return 1- --e*e*e*e},InOut:function(e){return(e*=2)<1?.5*e*e*e*e:-.5*((e-=2)*e*e*e-2)}},Quintic:{In:function(e){return e*e*e*e*e},Out:function(e){return--e*e*e*e*e+1},InOut:function(e){return(e*=2)<1?.5*e*e*e*e*e:.5*((e-=2)*e*e*e*e+2)}},Sinusoidal:{In:function(e){return 1-Math.cos(e*Math.PI/2)},Out:function(e){return Math.sin(e*Math.PI/2)},InOut:function(e){return.5*(1-Math.cos(Math.PI*e))}},Exponential:{In:function(e){return 0===e?0:Math.pow(1024,e-1)},Out:function(e){return 1===e?1:1-Math.pow(2,-10*e)},InOut:function(e){return 0===e?0:1===e?1:(e*=2)<1?.5*Math.pow(1024,e-1):.5*(-Math.pow(2,-10*(e-1))+2)}},Circular:{In:function(e){return 1-Math.sqrt(1-e*e)},Out:function(e){return Math.sqrt(1- --e*e)},InOut:function(e){return(e*=2)<1?-.5*(Math.sqrt(1-e*e)-1):.5*(Math.sqrt(1-(e-=2)*e)+1)}},Elastic:{In:function(e){var t,n=.1,i=.4;return 0===e?0:1===e?1:(!n||1>n?(n=1,t=i/4):t=i*Math.asin(1/n)/(2*Math.PI),-(n*Math.pow(2,10*(e-=1))*Math.sin((e-t)*2*Math.PI/i)))},Out:function(e){var t,n=.1,i=.4;return 0===e?0:1===e?1:(!n||1>n?(n=1,t=i/4):t=i*Math.asin(1/n)/(2*Math.PI),n*Math.pow(2,-10*e)*Math.sin((e-t)*2*Math.PI/i)+1)},InOut:function(e){var t,n=.1,i=.4;return 0===e?0:1===e?1:(!n||1>n?(n=1,t=i/4):t=i*Math.asin(1/n)/(2*Math.PI),(e*=2)<1?-.5*n*Math.pow(2,10*(e-=1))*Math.sin((e-t)*2*Math.PI/i):.5*n*Math.pow(2,-10*(e-=1))*Math.sin((e-t)*2*Math.PI/i)+1)}},Back:{In:function(e){var t=1.70158;return e*e*((t+1)*e-t)},Out:function(e){var t=1.70158;return--e*e*((t+1)*e+t)+1},InOut:function(e){var t=2.5949095;return(e*=2)<1?.5*e*e*((t+1)*e-t):.5*((e-=2)*e*((t+1)*e+t)+2)}},Bounce:{In:function(e){return 1-TWEEN.Easing.Bounce.Out(1-e)},Out:function(e){return 1/2.75>e?7.5625*e*e:2/2.75>e?7.5625*(e-=1.5/2.75)*e+.75:2.5/2.75>e?7.5625*(e-=2.25/2.75)*e+.9375:7.5625*(e-=2.625/2.75)*e+.984375},InOut:function(e){return.5>e?.5*TWEEN.Easing.Bounce.In(2*e):.5*TWEEN.Easing.Bounce.Out(2*e-1)+.5}}},TWEEN.Interpolation={Linear:function(e,t){var n=e.length-1,i=n*t,o=Math.floor(i),r=TWEEN.Interpolation.Utils.Linear;return 0>t?r(e[0],e[1],i):t>1?r(e[n],e[n-1],n-i):r(e[o],e[o+1>n?n:o+1],i-o)},Bezier:function(e,t){var n,i=0,o=e.length-1,r=Math.pow,a=TWEEN.Interpolation.Utils.Bernstein;for(n=0;o>=n;n++)i+=r(1-t,o-n)*r(t,n)*e[n]*a(o,n);return i},CatmullRom:function(e,t){var n=e.length-1,i=n*t,o=Math.floor(i),r=TWEEN.Interpolation.Utils.CatmullRom;return e[0]===e[n]?(0>t&&(o=Math.floor(i=n*(1+t))),r(e[(o-1+n)%n],e[o],e[(o+1)%n],e[(o+2)%n],i-o)):0>t?e[0]-(r(e[0],e[0],e[1],e[1],-i)-e[0]):t>1?e[n]-(r(e[n],e[n],e[n-1],e[n-1],i-n)-e[n]):r(e[o?o-1:0],e[o],e[o+1>n?n:o+1],e[o+2>n?n:o+2],i-o)},Utils:{Linear:function(e,t,n){return(t-e)*n+e},Bernstein:function(e,t){var n=TWEEN.Interpolation.Utils.Factorial;return n(e)/n(t)/n(e-t)},Factorial:function(){var e=[1];return function(t){var n,i=1;if(e[t])return e[t];for(n=t;n>1;n--)i*=n;return e[t]=i}}(),CatmullRom:function(e,t,n,i,o){var r=.5*(n-e),a=.5*(i-t),s=o*o,l=o*s;return(2*t-2*n+r+a)*l+(-3*t+3*n-2*r-a)*s+r*o+t}}};var WT=WT||{Model:{},View:{},Controller:{}};WT.Colors={ORANGE:"#FF8000",GREEN:"#59B200",RED:"#B20000",BLUE:"#00A3D9",LIGHT_GRAY:"#EEEEEE",MEDIUM_GRAY:"#666666",DARK_GRAY:"#333333",WHITE:"#FFFFFF"};var WT=WT||{Model:{},View:{},Controller:{}};WT.Model.Base=function(){},WT.Model.Base.prototype={ensureValue:function(e,t,n){switch((null===e||"undefined"==typeof e)&&(e=t),n){case"bool":e="true"===e;break;case"float":e=parseFloat(e);break;case"int":e=parseInt(e,10)}return e}},WT.Model.Settings=function(){var e=WT.Model.SettingsVals;this.isFirstRun=!0,this.unitsHeight=e.UNITS_HEIGHT_METRIC,this.unitsWeight=e.UNITS_WEIGHT_METRIC,this.restore=function(){this.isFirstRun=this.ensureValue(window.localStorage.getItem("isFirstRun"),"true","bool"),this.unitsHeight=this.ensureValue(window.localStorage.getItem("unitsHeight"),e.UNITS_HEIGHT_METRIC,"int"),this.unitsWeight=this.ensureValue(window.localStorage.getItem("unitsWeight"),e.UNITS_WEIGHT_METRIC,"int")},this.save=function(){window.localStorage.setItem("isFirstRun",this.isFirstRun),window.localStorage.setItem("unitsHeight",this.unitsHeight),window.localStorage.setItem("unitsWeight",this.unitsWeight)}},WT.Model.Settings.prototype=new WT.Model.Base,WT.Model.SettingsVals={UNITS_HEIGHT_METRIC:1,UNITS_HEIGHT_IMPERIAL:2,UNITS_WEIGHT_METRIC:4,UNITS_WEIGHT_IMPERIAL:8,METRES_TO_INCHES:39.3700787,KILOGRAMS_TO_POUNDS:2.20462,DECIMALS_WEIGHT_METRIC:1,DECIMALS_WEIGHT_IMPERIAL:0,DECIMALS_HEIGHT_METRIC:2,DECIMALS_HEIGHT_IMPERIAL:0,WEIGHT_NO_CHANGE:0,WEIGHT_INCREASE:1,WEIGHT_DECREASE:2},WT.Model.User=function(){this.height=1.5,this.weight="50.0",this.lastWeight="0.0",this.goalWeight="0.0",this.save=function(){window.localStorage.setItem("height",this.height),window.localStorage.setItem("weight",this.weight),window.localStorage.setItem("lastWeight",this.lastWeight),window.localStorage.setItem("goalWeight",this.goalWeight)},this.restore=function(){this.height=this.ensureValue(window.localStorage.getItem("height"),1.5,"float"),this.weight=this.ensureValue(window.localStorage.getItem("weight"),"50.0","string"),this.lastWeight=this.ensureValue(window.localStorage.getItem("lastWeight"),"0.0","string"),this.goalWeight=this.ensureValue(window.localStorage.getItem("goalWeight"),"0.0","string")}},WT.Model.User.prototype=new WT.Model.Base,WT.View.Base=function(){this.name="Base"},WT.View.Base.prototype={show:function(){console.warn("Expected override of view show()")},hide:function(){console.warn("Expected override of view hide()")},init:function(){console.warn("Expected override of view init()")}},WT.View.Intro=function(e){function t(){for(var e=0;e<c.length;e++)c[e].addEventListener("click",o,!1),c[e].addEventListener("touchend",o,!1);for(var t=0;t<u.length;t++)u[t].addEventListener("click",i,!1),u[t].addEventListener("touchend",i,!1)}function n(){for(var e=0;e<c.length;e++)c[e].removeEventListener("click",o,!1),c[e].removeEventListener("touchend",o,!1);for(var t=0;t<u.length;t++)u[t].removeEventListener("click",i,!1),u[t].removeEventListener("touchend",i,!1)}function i(e){e.preventDefault();for(var t=e.target,n=t.parentNode,i=n.querySelectorAll("a"),o=0;o<i.length;o++)i[o].classList.remove("selected");t.classList.add("selected")}function o(e){e.preventDefault(),a();var t=h+1,n=l[h],i=l[t],o=n.querySelector(".options");if(o){var c=o.querySelector(".selected"),u=o.dataset.target,d=c.dataset.value;WT.App.dispatchEvent(s,"updatedsetting",{target:u,value:d})}n.classList.add("previous"),n.classList.remove("current"),t<l.length?(i.classList.add("current"),i.classList.remove("next"),h++,r()):WT.App.dispatchEvent(s,"introcomplete")}function r(){var e=l[h].querySelector("canvas");if(e)switch(e.dataset.type){case"dial":var t=parseFloat(e.dataset.max),n=WT.App.getValue(e.dataset.label),i=parseFloat(e.dataset.ratio),o=e.dataset.label;t=WT.App.convertToImperialIfNeeded(o,t),n=WT.App.convertToImperialIfNeeded(o,n),i=WT.App.convertToImperialIfNeeded(o,i),d=new WT.View.DialEntry(e.getAttribute("id")),d.show(),d.setup({max:t,value:n,label:WT.App.getFullLabel(o),color:WT.Colors[e.dataset.color],eventName:e.dataset.eventComplete,trackColor:"true"===e.dataset.trackColor,decimalPlaces:WT.App.getDecimalPlaces(o),ratio:i})}}function a(){d&&"function"==typeof d.hideAndDispatch&&d.hideAndDispatch(),d=null}var s=document.getElementById(e),l=s.querySelectorAll(".card"),c=s.querySelectorAll(".next"),u=s.querySelectorAll(".options a"),h=0,d=null;WT.App.getUser(),this.show=function(){h=0;for(var e=0;e<l.length;e++)e>0?l[e].classList.add("next"):l[e].classList.add("current");s.classList.add("active"),t(),r()},this.hide=function(){s.classList.remove("active"),n()},this.getCardCount=function(){return l.length}},WT.View.Intro.prototype=new WT.View.Base,WT.View.Dial=function(e){function t(e,t,n){S.addEventListener(e,t,n)}function n(e,t,n){S.removeEventListener(e,t,n)}function i(e){V=e}function o(e){B=e}function r(e){x=e}function a(e){U=e.toUpperCase()}function s(e){R=e}function l(){return b.toFixed(V)}function c(){P=Math.floor(b)+L,N=P,G=P+Math.max(0,Math.min(1,b/x)),_=N,H=G}function u(e,t){var n=(P-e)%1,i=(1-n)%1;return n>i?(P+=i,t||(b+=i*B)):(P-=n,t||(b-=n*B)),N=P-.05,G=P+.05,b=Math.max(b,0),P=Math.max(P,.75),N=Math.max(N,.75),G=Math.max(G,.75),D=.6,y||(requestAnimFrame(g),y=!0),b}function h(){d(b)}function d(e){y||(requestAnimFrame(g),y=!0),b=parseFloat(e),N=Math.floor(P),G=Math.floor(P)+Math.max(0,Math.min(1,e/x)),D=.12}function g(){y=!1,_+=(N-_)*D,H+=(G-H)*D,f(),p(),E(),v(),T(),(Math.abs(N-_)>.001||Math.abs(G-H)>.001)&&(y=!0,requestAnimFrame(g))}function f(){A.clearRect(0,0,w,I)}function v(){A.fillStyle=WT.Colors.WHITE,A.beginPath(),A.arc(m,W,81,0,C,!0),A.closePath(),A.fill()}function T(){A.fillStyle=R,A.font="56px roboto-thin",A.textAlign="center",A.textBaseline="middle",A.fillText(b.toFixed(V),m,W-10),A.fillStyle=WT.Colors.MEDIUM_GRAY,A.font="16px roboto-bold",A.textAlign="center",A.textBaseline="middle",A.fillText(U,m,W+26)}function p(){var e=m-2;A.fillStyle=WT.Colors.LIGHT_GRAY,A.beginPath(),A.moveTo(m,W),A.lineTo(w,W),A.arc(m,W,e,0,C,!1),A.closePath(),A.fill()}function E(){var e=_*C-M,t=H*C-M,n=m-2;e%=C,t%=C,A.fillStyle=R,A.beginPath(),A.moveTo(m,W),A.lineTo(m+Math.floor(Math.cos(e)*n),W+Math.floor(Math.sin(e)*n)),A.arc(m,W,n,e,t,!1),A.lineTo(m,W),A.closePath(),A.fill()}var w=258,I=258,m=.5*w,W=.5*I,C=2*Math.PI,M=.5*Math.PI,L=1e3,S=document.getElementById(e),A=S.getContext("2d"),R="",y=!1,_=1,H=1,N=1,G=1,D=.35,P=1,b=0,x=140,V=1,B=5,U="";return function(){var e=window.devicePixelRatio;S.width=w*e,S.height=I*e,A.scale(e,e),S.style.width=w+"px",S.style.height=I+"px"}(),{animateTo:d,setDecimalPlaces:i,setRatio:o,setMax:r,setLabel:a,setDrawColor:s,addEventListener:t,removeEventListener:n,startTrackTo:c,trackTo:u,stopTrackTo:h,getValue:l,clear:f}},WT.View.DialEntry=function(e){function t(e){var t=e.offsetX,n=e.offsetY,i=e.touches;"undefined"==typeof t&&"undefined"==typeof i&&(i=[e]),i&&(t=i[0].pageX-a,n=i[0].pageY-s);var o=t-126,r=n-126;return Math.atan2(r,o)+2.5*Math.PI}function n(){o.addEventListener("touchstart",T.startInteraction,!1),o.addEventListener("touchmove",T.updateInteraction,!1),o.addEventListener("touchend",T.endInteraction,!1),o.addEventListener("mousedown",T.startInteraction,!1),o.addEventListener("mousemove",T.updateInteraction,!1),o.addEventListener("mouseup",T.endInteraction,!1)}function i(){o.removeEventListener("touchstart",T.startInteraction,!1),o.removeEventListener("touchmove",T.updateInteraction,!1),o.removeEventListener("touchend",T.endInteraction,!1),o.removeEventListener("mousedown",T.startInteraction,!1),o.removeEventListener("mousemove",T.updateInteraction,!1),o.removeEventListener("mouseup",T.endInteraction,!1)}var o=new WT.View.Dial(e),r=document.getElementById(e),a=r.offsetLeft,s=r.offsetTop,l=WT.App.getUser(),c=null,u=!1,h=!1,d=0,g=!1,f=!1,v="dialvaluecomplete",T={startInteraction:function(e){e.preventDefault(),c=e,u=!0,g=!1,clearTimeout(d),d=setTimeout(T.startValueEntry,300)},startValueEntry:function(){o.startTrackTo(),g=!0,T.updateInteraction(c,!0)},updateInteraction:function(e,n){if(e.preventDefault(),u){g||(o.startTrackTo(),g=!0,n=!0);var i=t(e),r=i/(2*Math.PI),a=o.trackTo(r,n);f&&(a=WT.App.convertToMetricIfNeeded("weight",a),o.setDrawColor(WT.App.getWeightColor(a,l.height))),h=!0,clearTimeout(d)}},endInteraction:function(e){if(e&&e.preventDefault(),h)o.stopTrackTo();else{var t=o.getValue();WT.App.dispatchEvent(r,v,t)}clearTimeout(d),u=!1,h=!1}};this.show=function(){r.classList.add("active"),n()},this.hide=function(){r.classList.remove("active"),i()},this.hideAndDispatch=function(){T.endInteraction()},this.setup=function(e){var t=e.value,n=e.value,i=e.max,r=e.label,a=e.color,s=e.eventName,c=e.decimalPlaces,u=e.ratio,h=e.trackColor;o.setDecimalPlaces(c),o.setRatio(u),o.setMax(i),o.setLabel(r),o.setDrawColor(a),o.animateTo(n),v=s,f=h,f&&o.setDrawColor(WT.App.getWeightColor(t,l.height))},this.clear=function(){o.clear()}},WT.View.DialEntry.prototype=new WT.View.Base,WT.View.Main=function(e){function t(){i.addEventListener("click",l.onTickerPressed,!1),i.addEventListener("touchend",l.onTickerPressed,!1),a.addEventListener("click",l.onSettingsButtonPressed,!1),a.addEventListener("touchend",l.onSettingsButtonPressed,!1),s.addEventListener("click",l.onGoalButtonPressed,!1),s.addEventListener("touchend",l.onGoalButtonPressed,!1)}function n(){i.removeEventListener("click",l.onTickerPressed,!1),i.removeEventListener("touchend",l.onTickerPressed,!1),a.removeEventListener("click",l.onSettingsButtonPressed,!1),a.removeEventListener("touchend",l.onSettingsButtonPressed,!1),s.removeEventListener("click",l.onGoalButtonPressed,!1),s.removeEventListener("touchend",l.onGoalButtonPressed,!1)}var i=new WT.View.Ticker("weightticker"),o=document.getElementById(e),r=document.getElementById("weightticker"),a=document.getElementById("settings"),s=document.getElementById("setgoal"),l={onTickerPressed:function(e){e.pageY<r.offsetTop+110&&WT.App.dispatchEvent(o,"weightreadinginit"),e.preventDefault()},onSettingsButtonPressed:function(e){WT.App.dispatchEvent(o,"settingsinit"),e.preventDefault()},onGoalButtonPressed:function(e){WT.App.dispatchEvent(o,"weightgoalinit"),e.preventDefault()}};this.showUserWeight=function(e){var t="weight",n=parseFloat(e.weight),o=WT.App.convertToImperialIfNeeded(t,n),r=parseFloat(e.lastWeight),a=WT.Model.SettingsVals.WEIGHT_NO_CHANGE,l=parseFloat(e.goalWeight),c=WT.App.getSettings();if(r>0){var u=r-n;u>0?a=WT.Model.SettingsVals.WEIGHT_DECREASE:0>u&&(a=WT.Model.SettingsVals.WEIGHT_INCREASE)}if(i.setIsFirstRun(c.isFirstRun),i.setLabel(WT.App.getFullLabel(t)),i.setDrawColor(WT.App.getWeightColor(e.weight,e.height)),i.animateTo(o),i.setWeightDifference(a),s.classList.remove("success"),l>0){var h=WT.App.convertToImperialIfNeeded(t,n-l);0>=h?(s.classList.add("success"),s.textContent="Wahey! You reached your goal!"):s.textContent=h+" "+WT.App.getFullLabel(t)+" to your goal!"}else s.textContent="Would you like to set a goal?"},this.show=function(){o.classList.add("active"),t()},this.hide=function(){o.classList.remove("active"),n()}},WT.View.Main.prototype=new WT.View.Base,WT.View.TickerChar=function(e,t,n){this.x=e||0,this.y=t||0,this.isDot=n||!1},WT.View.Ticker=function(e){function t(e,t,n){m.addEventListener(e,t,n)}function n(e,t,n){m.removeEventListener(e,t,n)}function i(e){S=e}function o(e){L=e.toUpperCase()}function r(e){R=e}function a(){var e=34,t=135;w.clearRect(0,0,g,p+T),w.font="127px roboto-thin",w.fillStyle=M,w.textAlign="left",w.textBaseline="alphabetic";for(var n=0;10>=n;n++){var i=(n%10).toString(10),o=p-T*n-e+t;w.fillText(i,0,o),w.beginPath(),w.fillStyle="white",w.fillRect(0,o-T,g,T+5),w.closePath(),w.beginPath(),w.fillStyle=M,w.fillText(i,0,o),w.closePath()}I.src=E.toDataURL("image/png")}function s(e){var t=null;return W.font="127px roboto-thin",W.textAlign="center",W.textBaseline="middle",W.fillStyle=M,t=W.measureText(e,.5*v,.5*T),A=t.width,W.textAlign="left",.5*(v-A)}function l(e){M=e}function c(e){var t=null,n=null,i=0,o=0,r=0,l=!1,c=null,h=0;e=e.toString(),t=e.split(""),o=s(e),TWEEN.removeAll(),a(),C.length=0;for(var v=0;v<t.length;v++)n=t[v],r=0,l="."===n,l||(i=parseInt(n,10),r=10*T-i*T,r-=h*10*T,h=i),c=new TWEEN.Tween({x:o,y:p,isDot:l}),c.to({y:r},1500+100*v).easing(TWEEN.Easing.Quintic.InOut).onComplete(d).start(),o+=l?f:g;requestAnimFrame(u)}function u(){var e=TWEEN.getAll(),t=null,n=0,i=WT.Colors.MEDIUM_GRAY,o=WT.Model.SettingsVals,r=.5*(v+A)+10,a=85,s=97;for(TWEEN.update(),W.clearRect(0,0,v,T),n=0;n<e.length;n++)t=e[n].object(),h(t);for(n=0;n<C.length;n++)t=C[n],h(t);W.save(),W.fillStyle=WT.Colors.WHITE,W.fillRect(0,110,v,257-T),W.restore(),W.save(),W.font="21px roboto-bold",W.textAlign="center",W.fillStyle=WT.Colors.MEDIUM_GRAY,W.fillText(L,.5*v,T+16),W.restore(),S!==o.WEIGHT_NO_CHANGE&&(S===o.WEIGHT_INCREASE?(i=WT.Colors.RED,a=97,s=85):i=WT.Colors.GREEN,W.save(),W.fillStyle=i,W.beginPath(),W.moveTo(r,a),W.lineTo(r-6,s),W.lineTo(r-12,a),W.closePath(),W.fill(),W.restore()),R&&(W.save(),W.beginPath(),W.fillStyle=WT.Colors.BLUE,W.moveTo(160,175),W.lineTo(154,163),W.lineTo(148,175),W.closePath(),W.fill(),W.font="16px roboto-bold",W.textAlign="center",W.fillText("TAP TO CHANGE",.5*v,190),W.restore()),e.length&&requestAnimFrame(u)}function h(e){var t=Math.round(e.x),n=Math.round(e.y),i=1/y;if(e.isDot)W.fillText(".",t,Math.round(.5*T)-5);else{for(;0>n;)n+=10*T;W.save(),W.scale(i,i),W.drawImage(I,t*y,-(n*y)),W.restore()}}function d(){C.push(new WT.View.TickerChar(this.x,this.y,this.isDot))}var g=70.5,f=27,v=320,T=110,p=10*T,E=document.createElement("canvas"),w=E.getContext("2d"),I=document.createElement("img"),m=document.getElementById(e),W=m.getContext("2d"),C=[],M=WT.Colors.MEDIUM_GRAY,L="",S=WT.Model.Settings.WEIGHT_NO_CHANGE,A=0,R=!1,y=window.devicePixelRatio;return function(){m.width=v*y,m.height=257*y,W.scale(y,y),m.style.width=v+"px",m.style.height="257px",E.width=g*y,E.height=(p+T)*y,w.scale(y,y)}(),{animateTo:c,setDrawColor:l,setLabel:o,setWeightDifference:i,setIsFirstRun:r,addEventListener:t,removeEventListener:n}},WT.View.WeightEntry=function(e){function t(){r.addEventListener("click",c.onWeightConfirm,!1),r.addEventListener("touchend",c.onWeightConfirm,!1),l.addEventListener("click",c.onGoalRemove,!1),l.addEventListener("touchend",c.onGoalRemove,!1)}function n(){r.removeEventListener("click",c.onWeightConfirm,!1),r.removeEventListener("touchend",c.onWeightConfirm,!1),l.removeEventListener("click",c.onGoalRemove,!1),l.removeEventListener("touchend",c.onGoalRemove,!1)}var i=new WT.View.DialEntry("newweight"),o=document.getElementById(e),r=o.querySelector(".next"),a="weightreadingcomplete",s=!1,l=o.querySelector(".removegoal"),c={onWeightConfirm:function(e){e.preventDefault(),i.hideAndDispatch()},onGoalRemove:function(e){e.preventDefault(),confirm("Are you sure you want to remove your goal?")&&WT.App.dispatchEvent(o,"removegoal")}};this.clear=function(){i.clear()},this.show=function(){o.classList.add("active"),t()},this.hide=function(){o.classList.remove("active"),n()},this.setEventName=function(e){a=e},this.isCapturingGoal=function(e){s=e,l.classList.toggle("visible",e)},this.showUserWeight=function(e){var t="weight",n=WT.App.convertToImperialIfNeeded(t,140),o=WT.App.convertToImperialIfNeeded(t,e.weight),r=WT.App.convertToImperialIfNeeded(t,5);s&&0!==parseFloat(e.goalWeight)&&(o=WT.App.convertToImperialIfNeeded(t,e.goalWeight)),i.show(),i.setup({rawValue:s?e.goalWeight:e.weight,max:n,value:o,label:WT.App.getFullLabel(t),color:WT.Colors.BLUE,eventName:a,trackColor:!0,decimalPlaces:WT.App.getDecimalPlaces(t),ratio:r})}},WT.View.WeightEntry.prototype=new WT.View.Base,WT.View.HeightEntry=function(e){function t(){r.addEventListener("click",a.onWeightConfirm,!1),r.addEventListener("touchend",a.onWeightConfirm,!1)}function n(){r.removeEventListener("click",a.onWeightConfirm,!1),r.removeEventListener("touchend",a.onWeightConfirm,!1)}var i=new WT.View.DialEntry("newheight"),o=document.getElementById(e),r=o.querySelector(".next"),a={onWeightConfirm:function(e){e.preventDefault(),i.hideAndDispatch()}};this.show=function(){o.classList.add("active"),t()},this.hide=function(){o.classList.remove("active"),n()},this.showUserHeight=function(e){var t="height",n=WT.App.convertToImperialIfNeeded(t,2.5),o=WT.App.convertToImperialIfNeeded(t,e.height),r=WT.App.convertToImperialIfNeeded(t,.4);i.show(),i.setup({max:n,value:o,label:WT.App.getFullLabel(t),color:WT.Colors.BLUE,eventName:"heightreadingcomplete",trackColor:!1,decimalPlaces:WT.App.getDecimalPlaces(t),ratio:r})}},WT.View.HeightEntry.prototype=new WT.View.Base,WT.View.Settings=function(e){function t(){for(var e=WT.App.getSettings(),t=WT.Model.SettingsVals,n=null,i=0;i<d.length;i++)switch(n=d[i],n.dataset.value){case"metres":e.unitsHeight===t.UNITS_HEIGHT_METRIC&&n.classList.add("selected");break;case"inches":e.unitsHeight===t.UNITS_HEIGHT_IMPERIAL&&n.classList.add("selected");break;case"kilograms":e.unitsWeight===t.UNITS_WEIGHT_METRIC&&n.classList.add("selected");break;case"pounds":e.unitsWeight===t.UNITS_WEIGHT_IMPERIAL&&n.classList.add("selected")}}function n(){window.addEventListener("heightreadingcomplete",v.onHeightChangeComplete,!1),u.addEventListener("click",v.onResetConfirm,!1),u.addEventListener("touchend",v.onResetConfirm,!1),h.addEventListener("click",v.onHeightChangeInit,!1),h.addEventListener("touchend",v.onHeightChangeInit,!1),c.addEventListener("click",v.onCloseConfirm,!1),c.addEventListener("touchend",v.onCloseConfirm,!1);for(var e=0;e<d.length;e++)d[e].addEventListener("click",v.onOptionSelect,!1),d[e].addEventListener("touchend",v.onOptionSelect,!1)}function i(){window.removeEventListener("heightreadingcomplete",v.onHeightChangeComplete,!1),u.removeEventListener("click",v.onResetConfirm,!1),u.removeEventListener("touchend",v.onResetConfirm,!1),c.removeEventListener("click",v.onCloseConfirm,!1),c.removeEventListener("touchend",v.onCloseConfirm,!1);for(var e=0;e<d.length;e++)d[e].removeEventListener("click",v.onOptionSelect,!1),d[e].removeEventListener("touchend",v.onOptionSelect,!1)}function o(){s.classList.add("active")}function r(){s.classList.remove("active")}var a=document.getElementById(e),s=a.querySelector(".inner"),l=new WT.View.HeightEntry("height-entry-view"),c=a.querySelector("#back-bar a"),u=a.querySelector("#resetall"),h=a.querySelector("#changeheight"),d=a.querySelectorAll(".options a"),g=0,f=!1,v={onCloseConfirm:function(e){e.preventDefault(),r(),clearTimeout(g),g=setTimeout(v.onSlideOutComplete,200)},onSlideOutComplete:function(){WT.App.dispatchEvent(a,"settingscomplete",{settingChanged:f})},onResetConfirm:function(e){e.preventDefault(),confirm("Are you sure you'd like to reset everything?")&&WT.App.dispatchEvent(a,"resetalldata")},onHeightChangeInit:function(e){e.preventDefault();var t=WT.App.getUser();l.show(),l.showUserHeight(t),f=!0},onHeightChangeComplete:function(){l.hide()},onOptionSelect:function(e){e.preventDefault();var t=e.target,n=t.parentNode,i=n.querySelectorAll("a"),o=n.dataset.target,r=t.dataset.value;if(!t.classList.contains("selected")){for(var s=0;s<i.length;s++)i[s].classList.remove("selected");t.classList.add("selected"),f=!0,WT.App.dispatchEvent(a,"updatedsetting",{target:o,value:r})}}};this.show=function(){f=!1,clearTimeout(g),a.classList.add("active"),o(),t(),n()},this.hide=function(){a.classList.remove("active"),i()}},WT.View.Settings.prototype=new WT.View.Base,WT.View.Message=function(e){var t=document.getElementById(e);this.setMessage=function(e){t.classList.add(e)},this.hideMessage=function(e){t.classList.remove(e)},this.show=function(){t.classList.add("active")},this.hide=function(){t.classList.remove("active")}},WT.View.Message.prototype=new WT.View.Base,WT.App=function(){function e(){"undefined"!=typeof window.navigator.standalone&&(window.navigator.standalone?document.ontouchstart=m.disableDefault:document.body.scrollTop=1)}function t(e,t,n){var i=document.createEvent("Event");i.initEvent(t,!0,!0),n&&(i.data=n),e.dispatchEvent(i)}function n(e,t){return e/(t*t)}function i(e,t){var i=n(e,t),o=WT.Colors.BLUE;return i>18.5&&(o=WT.Colors.GREEN),i>25&&(o=WT.Colors.ORANGE),i>30&&(o=WT.Colors.RED),o}function o(){return p||(p=new WT.Model.User,p.restore(),p.save()),p}function r(){return E||(E=new WT.Model.Settings,E.restore(),E.save()),E}function a(){document.body.onselectstart=m.disableDefault,window.addEventListener("resetalldata",m.onResetAllData,!1),window.addEventListener("settingsinit",m.onSettingsInit,!1),window.addEventListener("settingscomplete",m.onSettingsComplete,!1),window.addEventListener("weightreadinginit",m.onWeightReadingInit,!1),window.addEventListener("weightreadingcomplete",m.onWeightReadingComplete,!1),window.addEventListener("weightgoalinit",m.onWeightGoalInit,!1),window.addEventListener("weightgoalcomplete",m.onWeightGoalComplete,!1),window.addEventListener("removegoal",m.onWeightGoalRemoved,!1),window.addEventListener("heightreadingcomplete",m.onHeightReadingComplete,!1),window.addEventListener("deviceorientation",m.onOrientationChange,!1),window.addEventListener("updatedsetting",m.onUpdatedSetting,!1),window.addEventListener("resize",m.onResize,!1),window.addEventListener("introcomplete",m.onIntroComplete,!1)}function s(e){var t=0;switch(e){case"height":t=p.height;break;case"weight":t=p.weight}return t}function l(e){var t=WT.App.getSettings(),n=WT.Model.SettingsVals;switch(e){case"height":e=t.unitsHeight===n.UNITS_HEIGHT_METRIC?"Metres":"Inches";break;case"weight":e=t.unitsWeight===n.UNITS_WEIGHT_METRIC?"Kilograms":"Pounds"}return e}function c(e,t){var n=WT.App.getSettings(),i=WT.Model.SettingsVals,o=parseFloat(t),r=2;switch(e){case"height":r=i.DECIMALS_HEIGHT_METRIC,n.unitsHeight===i.UNITS_HEIGHT_IMPERIAL&&(o*=i.METRES_TO_INCHES,r=i.DECIMALS_HEIGHT_IMPERIAL);break;case"weight":r=i.DECIMALS_WEIGHT_METRIC,n.unitsWeight===i.UNITS_WEIGHT_IMPERIAL&&(o*=i.KILOGRAMS_TO_POUNDS,r=i.DECIMALS_WEIGHT_IMPERIAL)}return o.toFixed(r)}function u(e,t){var n=WT.App.getSettings(),i=WT.Model.SettingsVals,o=parseFloat(t),r=0;switch(e){case"height":r=i.DECIMALS_HEIGHT_METRIC,n.unitsHeight===i.UNITS_HEIGHT_IMPERIAL&&(o/=i.METRES_TO_INCHES);break;case"weight":r=i.DECIMALS_WEIGHT_METRIC,n.unitsWeight===i.UNITS_WEIGHT_IMPERIAL&&(o/=i.KILOGRAMS_TO_POUNDS)}return o.toFixed(r)}function h(e){var t=WT.App.getSettings(),n=WT.Model.SettingsVals,i=0;switch(e){case"height":i=n.DECIMALS_HEIGHT_METRIC,t.unitsHeight===n.UNITS_HEIGHT_IMPERIAL&&(i=n.DECIMALS_HEIGHT_IMPERIAL);break;case"weight":i=n.DECIMALS_WEIGHT_METRIC,t.unitsWeight===n.UNITS_WEIGHT_IMPERIAL&&(i=n.DECIMALS_WEIGHT_IMPERIAL)}return i}function d(){document.body.classList.remove("loading"),a(),introController=new WT.Controller.Intro,introController.init(),g=new WT.Controller.Main,g.init(),f=new WT.Controller.WeightEntry,f.init(),v=new WT.Controller.Settings,v.init(),T=new WT.Controller.Message,T.init(),o(),r(),m.onResize(),e(),E.isFirstRun?introController.show():g.show()}var g=null,f=null,v=null,T=null,p=null,E=null,w=!0,I=0,m={onOrientationChange:function(e){if(null!==e.beta){var t=Math.abs(e.beta);10>=t?(T.setMessage("pleaserotate"),T.show()):T.hide()}},onResize:function(){"undefined"!=typeof window.orientation&&(90===window.orientation||-90===window.orientation?(T.setMessage("pleaserotate"),T.show()):T.hide())},onResetAllData:function(){window.location.href="?reset"},disableDefault:function(e){e.preventDefault()},onSettingsInit:function(){v.show()},onSettingsComplete:function(e){v.hide(),E.save(),e.data.settingChanged&&g.show()},onWeightReadingInit:function(){f.setEventName("weightreadingcomplete"),f.isCapturingGoal(!1),f.show()},onWeightReadingComplete:function(e){var t=u("weight",e.data);E.isFirstRun||(p.lastWeight=p.weight),p.weight=t,p.save(),E.isFirstRun||(f.hide(),g.show())},onWeightGoalInit:function(){w&&(f.setEventName("weightgoalcomplete"),f.isCapturingGoal(!0),f.show(),w=!1)},onWeightGoalComplete:function(e){var t=u("weight",e.data);p.goalWeight=t,p.save(),f.hide(),g.show(),clearTimeout(I),I=setTimeout(m.onAllowWeightGoalInit,500)},onAllowWeightGoalInit:function(){w=!0},onWeightGoalRemoved:function(){m.onWeightGoalComplete({data:"0.0"})},onHeightReadingComplete:function(e){var t=u("height",e.data);p.height=t,p.save()},onIntroComplete:function(){introController.hide(),setTimeout(function(){g.show(),E.isFirstRun=!1,E.save()},200)},onUpdatedSetting:function(e){var t=e.data,n=WT.Model.SettingsVals;switch(r(),t.target){case"settings.unitsHeight":E.unitsHeight=n.UNITS_HEIGHT_METRIC,"inches"===t.value&&(E.unitsHeight=n.UNITS_HEIGHT_IMPERIAL);break;case"settings.unitsWeight":E.unitsWeight=n.UNITS_WEIGHT_METRIC,"pounds"===t.value&&(E.unitsWeight=n.UNITS_WEIGHT_IMPERIAL)}E.save()}};return{init:d,getSettings:r,getUser:o,getWeightColor:i,getValue:s,getFullLabel:l,getDecimalPlaces:h,dispatchEvent:t,convertToImperialIfNeeded:c,convertToMetricIfNeeded:u}}(),WT.Controller.Base=function(){this.name="Base"},WT.Controller.Base.prototype={show:function(){console.warn("Expected override of controller show()")},hide:function(){console.warn("Expected override of controller hide()")},init:function(){console.warn("Expected override of controller init()")},updateUser:function(){console.warn("Expected override of controller updateUser()")}},WT.Controller.Intro=function(){var e="intro-view",t=new WT.View.Intro(e);this.init=function(){},this.show=function(){t.show()},this.hide=function(){t.hide()}},WT.Controller.Intro.prototype=new WT.Controller.Base,WT.Controller.Main=function(){var e="main-view",t=new WT.View.Main(e),n=WT.App.getUser();this.init=function(){},this.show=function(){t.show(),t.showUserWeight(n)}},WT.Controller.Main.prototype=new WT.Controller.Base,WT.Controller.WeightEntry=function(){var e="weight-entry-view",t=new WT.View.WeightEntry(e),n=WT.App.getUser();this.init=function(){},this.show=function(){t.show(),t.clear(),setTimeout(function(){t.showUserWeight(n)},500)},this.isCapturingGoal=function(e){t.isCapturingGoal(e)},this.setEventName=function(e){t.setEventName(e)},this.hide=function(){t.hide()}},WT.Controller.WeightEntry.prototype=new WT.Controller.Base,WT.Controller.Settings=function(){var e="settings-view";document.getElementById(e);var t=new WT.View.Settings(e);this.init=function(){},this.show=function(){t.show()},this.hide=function(){t.hide()}},WT.Controller.Settings.prototype=new WT.Controller.Base,WT.Controller.Message=function(){var e="message-view",t=new WT.View.Message(e),n=!1;this.init=function(){},this.setMessage=function(e){switch(e){case"pleaserotate":t.hideMessage("pleaseinstall"),t.setMessage("pleaserotate");break;default:t.hideMessage("pleaserotate"),t.setMessage("pleaseinstall")
}},this.show=function(){n||(n=!0,t.show())},this.hide=function(){n=!1,t.hide(),t.hideMessage("pleaserotate"),t.hideMessage("pleaseinstall")}},WT.Controller.Message.prototype=new WT.Controller.Base,window.addEventListener("load",function(){var e=/\?reset\/?/;e.test(window.location.href)?(window.localStorage.clear(),window.location.href=window.location.href.replace(e,"")):(WebFontConfig={custom:{families:["roboto-thin","roboto-regular","roboto-bold"],urls:["css/fonts.css"]},fontactive:function(e){"roboto-thin"===e&&WT.App.init()}},function(){var e=document.createElement("script");e.src="libs/webfont.js",e.type="text/javascript",e.async="true";var t=document.getElementsByTagName("script")[0];t.parentNode.insertBefore(e,t)}())});